# llvm-ranlib - generates an archive index

## SYNOPSIS

**llvm-ranlib** [*options*]

## DESCRIPTION

**llvm-ranlib** is an alias for the [llvm-ar](llvm-ar.html) tool that generates
an index for an archive. It can be used as a replacement for GNU's **ranlib**
tool.

Running **llvm-ranlib** is equivalent to running **llvm-ar s**.

## SEE ALSO

Refer to [llvm-ar](llvm-ar.html) for additional information.
